petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscADIOSDataTypeToPetscDataType

Finds the PETSc name of a datatype from its ADIOS name

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscADIOSDataTypeToPetscDataType(enum ADIOS_DATATYPES htype, PetscDataType *ptype)

Not collective

### Input Parameter

htype -the ADIOS datatype (for example H5T_NATIVE_DOUBLE, ...)

### Output Parameter

ptype -the PETSc datatype name (for example PETSC_DOUBLE)

Developer Notes: These have not been verified

### See Also

PetscDataType, PetscADIOSDataTypeToPetscDataType()

### Level

advanced

### Location

src/sys/classes/viewer/impls/adios/adios.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages